org.jgroups.auth

## Class SimpleToken

- java.lang.Object
- - org.jgroups.auth.AuthToken
  - - org.jgroups.auth.SimpleToken

All Implemented Interfaces:
  java.io.Serializable, Streamable

    public class SimpleToken
    extends AuthToken

This is an example of using a preshared token for authentication purposes. All members of the group have to have the same string value in the JGroups config.

JGroups config parameters:

- auth_value (required) = the string to encrypt

Author:
  Chris Mills
See Also:
  `AuthToken`, Serialized Form

### Field Summary

### Fields inherited from class org.jgroups.auth.AuthToken

`auth, log`

### Constructor Summary

Constructors
Constructor and Description
`SimpleToken()`
`SimpleToken(java.lang.String authvalue)`

### Method Summary

Methods
`boolean` `authenticate(AuthToken token, Message msg)` This method should be implemented to perform the actual authentication of joining members.
`java.lang.String` `getAuthValue()`
`java.lang.String` `getName()` Used to return the full package and class name of the implementation.
`void` `readFrom(java.io.DataInputStream in)` Required to deserialize the object when read in from the wire
`void` `setAuthValue(java.lang.String auth_value)`
`void` `writeTo(java.io.DataOutputStream out)` Required to serialize the object to pass across the wire

### Methods inherited from class org.jgroups.auth.AuthToken

`init, setAuth`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleToken

    public SimpleToken()

#### SimpleToken

    public SimpleToken(java.lang.String authvalue)

### Method Detail

#### getName

    public java.lang.String getName()

Description copied from class: `AuthToken`
Used to return the full package and class name of the implementation. This is used by the AUTH protocol to create an instance of the implementation.

Specified by:
  `getName` in class `AuthToken`
Returns:
  a java.lang.String object of the package and class name

#### getAuthValue

    public java.lang.String getAuthValue()

#### setAuthValue

    public void setAuthValue(java.lang.String auth_value)

#### authenticate

    public boolean authenticate(AuthToken token,
                       Message msg)

Description copied from class: `AuthToken`
This method should be implemented to perform the actual authentication of joining members.

Specified by:
  `authenticate` in class `AuthToken`
Parameters:
  `token` - the token sent by the joiner
  `msg` - the Message object containing the actual JOIN_REQ
Returns:
  true if authenticaion passed or false if it failed.

#### writeTo

    public void writeTo(java.io.DataOutputStream out)
                 throws java.io.IOException

Required to serialize the object to pass across the wire

Parameters:
  `out` -
Throws:
  `java.io.IOException`

#### readFrom

    public void readFrom(java.io.DataInputStream in)
                  throws java.io.IOException,
                         java.lang.IllegalAccessException,
                         java.lang.InstantiationException

Required to deserialize the object when read in from the wire

Parameters:
  `in` -
Throws:
  `java.io.IOException`
  `java.lang.IllegalAccessException`
  `java.lang.InstantiationException`